require("user.YahooWeatherForecast")


--**********************************************************
-->>>>>>>>>>>>>USER MODIFICATION AREA (BEGIN)<<<<<<<<<<<<<<<
--**********************************************************
local cityID= 796597		--WOEID (Where On Earth ID), find on weather.yahoo.com

local units = 'c'				-- 'c'=metric, nil=imperial

local proxy = "http://10.154.24.21:8080/"				--e.g. "http://10.154.24.21:8080/", nil=no proxy used

local timeout = nil		  --reponse timeout in seconds. nil=5s(default)

--**********************************************************
-->>>>>>>>>>>>>USER MODIFICATION AREA (END)<<<<<<<<<<<<<<<<<
--**********************************************************





local weather, err = YahooWeatherForecast.get(cityID, units,proxy,timeout)

if not weather then
    alert("Yahoo Weather Forecast error: " .. tostring(err))
else
  
  	-- current weather situtation
    grp.update("5/5/1", weather.item.condition.text, dt.string)		--a textual description of conditions, for example, "Partly Cloudy" (string)
    grp.update("5/5/2", weather.item.condition.temp, dt.float16)		--the current temperature, in the units specified by the yweather:units element (integer)
  	grp.update("5/5/3", weather.item.condition.code, dt.float16)		--the condition code for this forecast. You could use this code to choose a text description or image 
  
  	grp.update("5/5/4", weather.wind.chill, dt.float16)						--wind chill in degrees (integer)
    grp.update("5/5/5", weather.wind.direction, dt.angle)					--wind direction, in degrees (integer)
    grp.update("5/5/6", weather.wind.speed, dt.float16)						--wind speed, in the units specified in the speed attribute of the yweather:units element (mph or kph). (integer)

    grp.update("5/5/7", weather.atmosphere.humidity, dt.scale)			--humidity, in percent (integer)
  	grp.update("5/5/8", weather.atmosphere.visibility, dt.float16) --visibility, in the units specified by the distance attribute of the yweather:units element (mi or km). Note that the visibility is specified as the actual value * 100. For example, a visibility of 16.5 miles will be specified as 1650. A visibility of 14 kilometers will appear as 1400. (integer)
    grp.update("5/5/9", weather.atmosphere.pressure, dt.float16)		--barometric pressure, in the units specified by the pressure attribute of the yweather:units element (in or mb). (float).
  	grp.update("5/5/10", weather.atmosphere.rising, dt.uint16)				--state of the barometric pressure: steady (0), rising (1), or falling (2). (integer: 0, 1, 2).

    grp.update("5/5/11", weather.astronomy.sunrise, dt.string)			--today's sunrise time. The time is a string in a local time format of "h:mm am/pm"
    grp.update("5/5/12", weather.astronomy.sunset, dt.string)			--today's sunset time. The time is a string in a local time format of "h:mm am/pm"
  
  	grp.update("5/5/13", weather.item.lat, dt.float16)							--The latitude of the location.
  	grp.update("5/5/14", weather.item.long,dt.float16)							--The longitude of the location.
  	  
   
  	-- forecast for 1st day (today)
    grp.update("5/5/15", weather.item.forecast[1].text, dt.string)	--a textual description of conditions, for example, "Partly Cloudy" (string)
    grp.update("5/5/16", weather.item.forecast[1].low, dt.float16)	--the forecasted low temperature for this day, in the units specified by the yweather:units element (integer)
    grp.update("5/5/17", weather.item.forecast[1].high, dt.float16)--the forecasted high temperature for this day, in the units specified by the yweather:units element (integer)
	  grp.update("5/5/18", weather.item.forecast[1].code, dt.uint16)	--the condition code for this forecast. You could use this code to choose a text description or image for the forecast. The possible values for this element are described in Condition Codes (integer)

  	-- forecast for 2nd day (tomorrow)
    grp.update("5/5/19", weather.item.forecast[2].text, dt.string)	--a textual description of conditions, for example, "Partly Cloudy" (string)
    grp.update("5/5/20", weather.item.forecast[2].low, dt.float16)	--the forecasted low temperature for this day, in the units specified by the yweather:units element (integer)
    grp.update("5/5/21", weather.item.forecast[2].high, dt.float16)--the forecasted high temperature for this day, in the units specified by the yweather:units element (integer)
	  grp.update("5/5/22", weather.item.forecast[2].code, dt.uint16)	--the condition code for this forecast. You could use this code to choose a text description or image for the forecast. The possible values for this element are described in Condition Codes (integer)
  
 		-- forecast for 3rd day 
    grp.update("5/5/23", weather.item.forecast[3].text, dt.string)	--a textual description of conditions, for example, "Partly Cloudy" (string)
    grp.update("5/5/24", weather.item.forecast[3].low, dt.float16)	--the forecasted low temperature for this day, in the units specified by the yweather:units element (integer)
    grp.update("5/5/25", weather.item.forecast[3].high, dt.float16)--the forecasted high temperature for this day, in the units specified by the yweather:units element (integer)
	  grp.update("5/5/26", weather.item.forecast[3].code, dt.uint16)	--the condition code for this forecast. You could use this code to choose a text description or image for the forecast. The possible values for this element are described in Condition Codes (integer)
  	
  	-- forecast for 4th day 
    grp.update("5/5/27", weather.item.forecast[4].text, dt.string)	--a textual description of conditions, for example, "Partly Cloudy" (string)
    grp.update("5/5/28", weather.item.forecast[4].low, dt.float16)	--the forecasted low temperature for this day, in the units specified by the yweather:units element (integer)
    grp.update("5/5/29", weather.item.forecast[4].high, dt.float16)--the forecasted high temperature for this day, in the units specified by the yweather:units element (integer)
	  grp.update("5/5/30", weather.item.forecast[4].code, dt.uint16)	--the condition code for this forecast. You could use this code to choose a text description or image for the forecast. The possible values for this element are described in Condition Codes (integer)
  
		log('Fetch of forecasted weather data done.')
end
